Bug 1674 - Allow external programs to retreive currently playing song information
: Allow external programs to retreive currently playing song information
Status: RESOLVED FIXED
Product: Multimedia
Multimedia framework
: 3.2
: All All
: High enhancement with 1 vote (vote)
: 4.1
Assigned To: unassigned
: media-player-bugs
:
:
: 1125
: 1673
  Show dependency tree
 
Reported: 2007-07-17 21:57 UTC by Jason Carter
Modified: 2009-01-08 18:10 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jason Carter (reporter) 2007-07-17 21:57:54 UTC
It would be great if we could have an easy way to extract information on the
current song being played from the media player for use in other applications.
This could be done through d-bus. Information could include artist, title,
album, song length, song format. Streams should output current song, stream
title, stream URL.
Comment 1 Quim Gil nokia 2008-12-30 01:25:37 UTC
This sounds more as a feature for the Media Application Framework.
Comment 2 Kemal Hadimli 2009-01-08 18:08:15 UTC
There is actually, just do a "dbus-monitor --session" and see the song details
scroll by as the osso-media-server starts playing a song. In previous versions
(Chinook/Bora?) little information was available, but currently (Diablo) there
is plenty of info there.
Comment 3 Quim Gil nokia 2009-01-08 18:10:36 UTC
Resolving as FIXED, then. Please reopen if you still find any details missing.